"""
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
"""


class Output:
    def __init__(self):
        self.scoutput = self

    def process_table(
        self, directional, sfenv, tablename, startdate, use_daterange, enddate
    ):
        if use_daterange == "0":
            print(
                f"Retreiving rows from {directional} table ({sfenv}) {tablename} from {startdate}."
            )
        else:
            print(
                f"Retreiving rows from {directional} table ({sfenv}) {tablename} from {startdate} through {enddate}."
            )

    def display_rowcount(self, rowcount):

        print(f"{rowcount} rows received.")

    def output_status(self, message):
        print(f"{message}")

    def __del__(self):
        pass
